<?php


namespace App\ViewModels\Perfil\PerfilDetailsViewModel;


use App\Utils\Entity;
use App\ViewModels\Perfil\PerfilDetailsViewModel\PermissaoDetailsBuilder;

class PermissaoDetails extends Entity
{

    protected $permissao_id;
    protected $ativo;
    protected $endpoint_id;
    protected $endpoint_method;
    protected $endpoint_controller;
    protected $endpoint_action;
    protected $endpoint_path;

    public static function builder(): PermissaoDetailsBuilder
    {
        return new PermissaoDetailsBuilder;
    }

    /**
     * @return mixed
     */
    public function getPermissaoId()
    {
        return $this->permissao_id;
    }

    /**
     * @param mixed $permissao_id
     */
    public function setPermissaoId($permissao_id): void
    {
        $this->permissao_id = $permissao_id;
    }

    /**
     * @return mixed
     */
    public function getAtivo()
    {
        return $this->ativo;
    }

    /**
     * @param mixed $ativo
     */
    public function setAtivo($ativo): void
    {
        $this->ativo = $ativo;
    }

    /**
     * @return mixed
     */
    public function getEndpointId()
    {
        return $this->endpoint_id;
    }

    /**
     * @param mixed $endpoint_id
     */
    public function setEndpointId($endpoint_id): void
    {
        $this->endpoint_id = $endpoint_id;
    }

    /**
     * @return mixed
     */
    public function getEndpointMethod()
    {
        return $this->endpoint_method;
    }

    /**
     * @param mixed $endpoint_method
     */
    public function setEndpointMethod($endpoint_method): void
    {
        $this->endpoint_method = $endpoint_method;
    }

    /**
     * @return mixed
     */
    public function getEndpointController()
    {
        return $this->endpoint_controller;
    }

    /**
     * @param mixed $endpoint_controller
     */
    public function setEndpointController($endpoint_controller): void
    {
        $this->endpoint_controller = $endpoint_controller;
    }

    /**
     * @return mixed
     */
    public function getEndpointAction()
    {
        return $this->endpoint_action;
    }

    /**
     * @param mixed $endpoint_action
     */
    public function setEndpointAction($endpoint_action): void
    {
        $this->endpoint_action = $endpoint_action;
    }

    /**
     * @return mixed
     */
    public function getEndpointPath()
    {
        return $this->endpoint_path;
    }

    /**
     * @param mixed $endpoint_path
     */
    public function setEndpointPath($endpoint_path): void
    {
        $this->endpoint_path = $endpoint_path;
    }



}